lp:ubuntu/lucid/poppler

Created by James Westby on 2009-12-04 and last modified on 2010-04-01
Get this branch:
bzr branch lp:ubuntu/lucid/poppler
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Review team:
Ubuntu Development Team
Status:
Development

Recent revisions

79. By Sebastien Bacher on 2010-04-01

* debian/patches/backport-rotation-scaling.patch:
  - git change to fix rotated images scaling

78. By Sebastien Bacher on 2010-03-31

* Updated the patch to work without having to run autotools at buildtime

[ Josh Holland ]
* Add backport-anti-alias.patch: Fix anti aliasing (fixed in upstream git)
  (LP: #248355)

77. By Martin Pitt on 2010-03-19

Add psname-escape-backslash.patch: Don't use '\' character in PostScript
names. Patch backported from 0.13.1. (LP: #404214)

76. By Sebastien Bacher on 2010-02-25

* New upstream version:
  - Fix Uncover and Fade transition parsing. Bug #26034
  - Fix GfxRadialShading::GfxRadialShading. KDE bug #223359
  - Fix a memory leak in CairoFontEngine
  - Use the right matrix for the mask in drawMaskedImage() in CairoOutputDev.
    Bug #16906
  - Only assume a OC is not visible if it exists and is set to no. Bug #26532
  - Guard agains malloc returning NULL in SplashFTFont
* debian/patches/01_git_change_fix_matrix_use.patch:
  - the change is in the new version

75. By Sebastien Bacher on 2010-01-29

* New upstream version:
  - [Cairo backend] Do not crash on malformed files. Bug #24575 (lp: #430887)
  - [Cairo backend] Fix crash in some documents. GNOME bug #603934 (
    lp: #436197)
* debian/patches/01_git_change_fix_matrix_use.patch:
  - git change to fix a wrong matrix use leading to rendering issues
    (lp: #252552)

74. By Till Kamppeter on 2009-12-17

debian/patches/10_fix-a4-page-shift-on-brother-ps-printers.patch:
Fixed page shifts when printing on A4 paper with Brother PostScript
printers, by applying the changes suggested in Poppler upstream bug
18711
, comment #30 (LP: #293832).

73. By Scott Kitterman on 2009-12-14

* Rebuild due to binary incompatible qt4-x11 change after 4.6 Beta release
* Bump qt4-x11 build-dep version requirements to 4.6.0 to prevent additional
  misbuilds on ports (powerpc and ia64)

72. By Sebastien Bacher on 2009-11-25

* Sync on Debian
* debian/control, debian/rules:
  - don't use openjpeg it's in universe
  - don't use libglade the new version uses gtkbuilder

71. By Loïc Minier on 2009-10-21

No change rebuild to fix misbuilt binaries on armel.

70. By Sebastien Bacher on 2009-09-09

* New upstream version:
  core:
  - Fix printf format security warnings
  - Improve rendering of radial shadings. Bug #20238
  - Better fallback when there's a font type mismatch. Bug #17252
  - Do not crash on attachments without data stream. Bug #10386
  - Fix infinite loop in JBIG2Decoder. Bug #23025
  build system:
  - Minimizes pkg-config dependencies for Qt frontends
  - Add automake 1.11 support
  - Use the newest automake found and not the oldest
  - Support AM_SILENT_RULES when using automake 1.11
  utils:
  - Add common options to pdftoabw

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/maverick/poppler
This branch contains Public information 
Everyone can see this information.

Subscribers